{
	File:		SearchProcedureHeader.p

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <1>	  4/1/93	KBA		first checked in

}


UNIT SearchProcedureHeader;

{****************************************} INTERFACE {****************************************}
CONST
	kFatalSearchError 				= -1;
	kSearchSuccessful 				= 0;
	kCancelSearchAndInstallation 	= 1;

TYPE

FoundFileArrayHdl	= ^FoundFileArrayPtr;
FoundFileArrayPtr	= ^FoundFileRec;
FoundFileRec 		= RECORD
	vRefNum			: INTEGER;
	parID			: LONGINT;
	name 			: Str63;
	fReferenceID	: INTEGER;
END;


SearchProcedurePBPtr = ^SearchProcedurePBRec;
SearchProcedurePBRec = RECORD
	fStaticDataHdl			: Handle;
	fTargetVRefNum			: INTEGER;
	fTargetFolderDirID		: LONGINT;
	fSystemVRefNum			: INTEGER;
	fSystemBlessedDirID		: LONGINT;
	fRefCon					: LONGINT;
	fFileSpecType			: OSType;
	fFileSpecCreator		: OSType;
	fFileSpecCrDate			: LONGINT;
	fFileSpecPath			: Str255;
	fFoundFilesArray		: FoundFileArrayHdl;
END;

FUNCTION FileSearchRoutine( searchProcedurePBPtr : SearchProcedurePBPtr ) : LONGINT;


IMPLEMENTATION

END.		{ SearchProcedureHeader UNIT }